# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-IPC-Cmd
Epoch:		1
Version:	0.92
Release:	2.%{__distinit}%{__distvers}
Summary:	Finding and running system commands made easy
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/IPC-Cmd/
Source0:	http://search.cpan.org/CPAN/authors/id/B/BI/BINGOS/IPC-Cmd-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(Carp)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(IO::Handle)
BuildRequires:	perl(IO::Select)
BuildRequires:	perl(IPC::Run)
BuildRequires:	perl(lib)
BuildRequires:	perl(Locale::Maketext::Simple)
BuildRequires:	perl(Module::Load::Conditional)
BuildRequires:	perl(Params::Check) >= 0.20
BuildRequires:	perl(Socket)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Text::ParseWords)
BuildRequires:	perl(Time::HiRes)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(ExtUtils::MakeMaker)
Requires:	perl(IO::Handle)
Requires:	perl(IO::Select)
Requires:	perl(IPC::Run)
Requires:	perl(Time::HiRes)

%description
IPC::Cmd allows you to run commands, interactively if desired, platform
independent but have them still work.

%prep
%setup -q -n IPC-Cmd-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES README
%{perl_vendorlib}/IPC/
%{_mandir}/man3/IPC::Cmd.3pm*

%changelog
* Thu Jan 23 2014 Paul Howarth <paul@city-fan.org> 1:0.92-2
- Bump epoch to 1 to compete with perl.spec

* Thu Jan 23 2014 Paul Howarth <paul@city-fan.org> 0.92-1
- Update to 0.92
  - Use File::Temp in run_forked tests

* Mon Nov 18 2013 Paul Howarth <paul@city-fan.org> 0.90-1
- Update to 0.90
  - Skip some problematic tests when PERL_CORE

* Fri Nov 15 2013 Paul Howarth <paul@city-fan.org> 0.88-1
- Update to 0.88
  - Skip some problematic tests on Cygwin

* Mon Nov  4 2013 Paul Howarth <paul@city-fan.org> 0.86-1
- Update to 0.86
  - run_forked() now uses Time::HiRes and Carp
  - Fix incomplete output more than buffer size in run_forked
  - Work around absent CLOCK_MONOTONIC on OSX in run_forked
  - Fix error reporting if command killed by signal (CPAN RT#89770)
  - Make the false test more forgiving, for Solaris and other SVR*

* Tue Aug  6 2013 Paul Howarth <paul@city-fan.org> 0.84-1
- Update to 0.84
  - Lowered CPU usage for run_forked()
  - Handle STDOUT/STDERR for run_forked() and coderefs (CPAN RT#85912)
  - Fixed regression introduced in 0.78 (CPAN RT#76901)
  - run_forked() now has a consistent API with run() (CPAN RT#70530)
  - Socket only used where needed
  - Install into sitelib by default if Perl ≥ v5.12.0

* Thu Jul 18 2013 Paul Howarth <paul@city-fan.org> 0.82-2
- Perl 5.18 rebuild

* Sun Jun 30 2013 Paul Howarth <paul@city-fan.org> 0.82-1
- Update to 0.82
  - Typo fixes

* Sun Mar  3 2013 Paul Howarth <paul@city-fan.org> 0.80-1
- Update to 0.80
  - Use File::Spec->path instead of relying on Config

* Tue Jul  3 2012 Paul Howarth <paul@city-fan.org> 0.78-2
- BR:/R: perl(IO::Handle), perl(IO::Select) and perl(Time::HiRes)
- BR: perl(lib)

* Tue May  1 2012 Paul Howarth <paul@city-fan.org> 0.78-1
- Update to 0.78
  - Use POSIX::_exit() instead of exit() in run_forked() (CPAN RT#76901)
- Don't need to remove empty directories from buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Mon Jan 30 2012 Paul Howarth <paul@city-fan.org> 0.76-1
- Update to 0.76
   - Make the empty arg stripping the default again, with an option to
     override this behaviour

* Mon Jan 30 2012 Paul Howarth <paul@city-fan.org> 0.74-1
- Update to 0.74
  - CPAN RT#74373: Compilation error when POSIX.pm fails to load
  - CPAN RT#74470: Empty string cannot be passed to command
- Add buildreqs for perl core modules that might be dual-lived

* Mon Oct 31 2011 Paul Howarth <paul@city-fan.org> 0.72-3
- Require perl(ExtUtils::MakeMaker) (#711486)

* Mon Jun 27 2011 Paul Howarth <paul@city-fan.org> 0.72-2
- Rebuild for perl 5.14.1 in Rawhide
- Fix dist tag for CentOS 6 and Scientific Linux

* Wed Jun 22 2011 Paul Howarth <paul@city-fan.org> 0.72-1
- Update to 0.72
  - Added IPC::Open3 support for capturing STDOUT/STDERR on MSWin32; prefer
    this over IPC::Run
- Nobody else likes macros for commands

* Tue Feb  1 2011 Paul Howarth <paul@city-fan.org> 0.70-1
- Update to 0.70
  - Apply a patch from CPAN RT #65276 with changes for run_forked:
    - Fix for the typo in the name of the signal
    - Changed default for clean_up_children (which seems to be the behaviour
      expected by the majority of the users)
    - Added detection (and forwarding to the caller) of the case when run
      program is killed by signal
    - kill_gently is now used in cases when parent died and when the executed
      program times out
    - Added options that allow execution of some user code in the beginning and
      at the end of the child process

* Mon Jan 10 2011 Paul Howarth <paul@city-fan.org> 0.68-1
- Update to 0.68 (fixes for bleadperl)

* Wed Dec  8 2010 Paul Howarth <paul@city-fan.org> 0.66-1
- Import from Fedora
- Update to 0.66
- This release by BINGOS -> update source URL

* Mon Oct 15 2007 Steven Pritchard <steve@kspei.com> 0.38-1
- Update to 0.38
- Update License tag
- BR Test::More

* Wed Apr 18 2007 Steven Pritchard <steve@kspei.com> 0.36-2
- BR ExtUtils::MakeMaker

* Fri Nov 24 2006 Steven Pritchard <steve@kspei.com> 0.36-1
- Update to 0.36

* Fri Nov 03 2006 Steven Pritchard <steve@kspei.com> 0.34-1
- Update to 0.34
- Explicitly BR Params::Check >= 0.20

* Tue Oct 17 2006 Steven Pritchard <steve@kspei.com> 0.32-1
- Update to 0.32
- Use fixperms macro instead of our own chmod incantation

* Sat Sep 16 2006 Steven Pritchard <steve@kspei.com> 0.25-1
- Update to 0.25
- Fix find option order

* Thu Mar 23 2006 Steven Pritchard <steve@kspei.com> 0.24-1
- Specfile autogenerated by cpanspec 1.62
- Fix License
- Drop explicit Requires
